Package: org.codehaus.groovy.tools

## [Java] Class Utilities

- org.codehaus.groovy.tools.Utilities

-     public abstract class Utilities
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `eol()`
    `` | `public static boolean` | `isJavaIdentifier(String name)` Tells if the given string is a valid Java identifier.
    `` | `public static String` | `repeatString(String pattern, int repeats)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public static String eol()

    - #### public static boolean isJavaIdentifier(String name)

      Tells if the given string is a valid Java identifier.

    - #### public static String repeatString(String pattern, int repeats)